import { EventEmitter } from "../../stencil-public-runtime";
/**
 * Stylized modal dialog.
 * @slot header - The title of the modal
 * @slot default - The content of the modal
 * @csspart modal-base The container for modal dialog
 * @csspart modal-header The header for modal dialog
 * @csspart modal-dialog The dialog component
 * @csspart modal-body The body for modal dialog
 */
export declare class KlevuModal {
  #private;
  /**
   * Should show the modal on load.
   */
  startOpen: boolean;
  componentDidLoad(): void;
  /**
   * Opens the modal.
   */
  openModal(): Promise<void>;
  /**
   * Closes the modal.
   */
  closeModal(): Promise<void>;
  /**
   * Emitted when the modal is closed.
   */
  klevuCloseModal: EventEmitter<void>;
  render(): any;
}
